# golang:onbuild automatically copies the package source, 
# fetches the application dependencies, builds the program, 
# and configures it to run on startup 
# FROM golang:latest
# LABEL Name=nebula Version=0.0.1 
# EXPOSE 8000

# For more control, you can copy and build manually
FROM golang:latest
LABEL Name=test_nebula 

ADD . /go/src/gitlab.com/cosban/nebula
WORKDIR /go/src/gitlab.com/cosban/nebula

RUN go get -t ./...
RUN go test -v ./...
